#!/usr/bin/env python3

"""
A program that inputs a journey finishing point and then reads the file
`Met_Office_2011_Air_Data.csv` and prints total and average cost
for all the journeys with that finishing point.
The matching is case insensitive.
"""

import csv

def main():
	fname = "Met_Office_2011_Air_Data.csv"  # Input file; set as a variable for easier modification

	jfp = input("Journey finishing point: ").lower()
	total = 0
	total_cnt = 0

	with open(fname, mode="rt", encoding="utf8", newline="") as f:
		prices_reader = csv.reader(f, delimiter=",")
		for row in prices_reader:
			if jfp != row[10].lower():
				continue
			try:
				cost = float(row[3])
			except ValueError:
				# Invalid value in the table, so we skip the row
				continue
			total += cost
			total_cnt += 1

	if total_cnt:
		print("Total cost:   {:.2f} GBP".format(total))
		print("Average cost: {:.2f} GBP".format(total / total_cnt))
	else:
		print("There were no flights towards this destination.")

main()